; AnalogOutBuf_1 address and mask equates
AnalogOutBuf_1_Data_ADDR:	equ	0h
AnalogOutBuf_1_DriveMode_0_ADDR:	equ	100h
AnalogOutBuf_1_DriveMode_1_ADDR:	equ	101h
AnalogOutBuf_1_DriveMode_2_ADDR:	equ	3h
AnalogOutBuf_1_GlobalSelect_ADDR:	equ	2h
AnalogOutBuf_1_IntCtrl_0_ADDR:	equ	102h
AnalogOutBuf_1_IntCtrl_1_ADDR:	equ	103h
AnalogOutBuf_1_IntEn_ADDR:	equ	1h
AnalogOutBuf_1_MASK:	equ	20h
; AnalogColumn_InputMUX_0 address and mask equates
AnalogColumn_InputMUX_0_Data_ADDR:	equ	0h
AnalogColumn_InputMUX_0_DriveMode_0_ADDR:	equ	100h
AnalogColumn_InputMUX_0_DriveMode_1_ADDR:	equ	101h
AnalogColumn_InputMUX_0_DriveMode_2_ADDR:	equ	3h
AnalogColumn_InputMUX_0_GlobalSelect_ADDR:	equ	2h
AnalogColumn_InputMUX_0_IntCtrl_0_ADDR:	equ	102h
AnalogColumn_InputMUX_0_IntCtrl_1_ADDR:	equ	103h
AnalogColumn_InputMUX_0_IntEn_ADDR:	equ	1h
AnalogColumn_InputMUX_0_MASK:	equ	80h
; CF address and mask equates
CF_Data_ADDR:	equ	4h
CF_DriveMode_0_ADDR:	equ	104h
CF_DriveMode_1_ADDR:	equ	105h
CF_DriveMode_2_ADDR:	equ	7h
CF_GlobalSelect_ADDR:	equ	6h
CF_IntCtrl_0_ADDR:	equ	106h
CF_IntCtrl_1_ADDR:	equ	107h
CF_IntEn_ADDR:	equ	5h
CF_MASK:	equ	4h
; Stop address and mask equates
Stop_Data_ADDR:	equ	4h
Stop_DriveMode_0_ADDR:	equ	104h
Stop_DriveMode_1_ADDR:	equ	105h
Stop_DriveMode_2_ADDR:	equ	7h
Stop_GlobalSelect_ADDR:	equ	6h
Stop_IntCtrl_0_ADDR:	equ	106h
Stop_IntCtrl_1_ADDR:	equ	107h
Stop_IntEn_ADDR:	equ	5h
Stop_MASK:	equ	8h
; Start address and mask equates
Start_Data_ADDR:	equ	4h
Start_DriveMode_0_ADDR:	equ	104h
Start_DriveMode_1_ADDR:	equ	105h
Start_DriveMode_2_ADDR:	equ	7h
Start_GlobalSelect_ADDR:	equ	6h
Start_IntCtrl_0_ADDR:	equ	106h
Start_IntCtrl_1_ADDR:	equ	107h
Start_IntEn_ADDR:	equ	5h
Start_MASK:	equ	10h
; Clear address and mask equates
Clear_Data_ADDR:	equ	4h
Clear_DriveMode_0_ADDR:	equ	104h
Clear_DriveMode_1_ADDR:	equ	105h
Clear_DriveMode_2_ADDR:	equ	7h
Clear_GlobalSelect_ADDR:	equ	6h
Clear_IntCtrl_0_ADDR:	equ	106h
Clear_IntCtrl_1_ADDR:	equ	107h
Clear_IntEn_ADDR:	equ	5h
Clear_MASK:	equ	20h
; Down address and mask equates
Down_Data_ADDR:	equ	4h
Down_DriveMode_0_ADDR:	equ	104h
Down_DriveMode_1_ADDR:	equ	105h
Down_DriveMode_2_ADDR:	equ	7h
Down_GlobalSelect_ADDR:	equ	6h
Down_IntCtrl_0_ADDR:	equ	106h
Down_IntCtrl_1_ADDR:	equ	107h
Down_IntEn_ADDR:	equ	5h
Down_MASK:	equ	40h
; Up address and mask equates
Up_Data_ADDR:	equ	4h
Up_DriveMode_0_ADDR:	equ	104h
Up_DriveMode_1_ADDR:	equ	105h
Up_DriveMode_2_ADDR:	equ	7h
Up_GlobalSelect_ADDR:	equ	6h
Up_IntCtrl_0_ADDR:	equ	106h
Up_IntCtrl_1_ADDR:	equ	107h
Up_IntEn_ADDR:	equ	5h
Up_MASK:	equ	80h
; LCD_1D4 address and mask equates
LCD_1D4_Data_ADDR:	equ	8h
LCD_1D4_DriveMode_0_ADDR:	equ	108h
LCD_1D4_DriveMode_1_ADDR:	equ	109h
LCD_1D4_DriveMode_2_ADDR:	equ	bh
LCD_1D4_GlobalSelect_ADDR:	equ	ah
LCD_1D4_IntCtrl_0_ADDR:	equ	10ah
LCD_1D4_IntCtrl_1_ADDR:	equ	10bh
LCD_1D4_IntEn_ADDR:	equ	9h
LCD_1D4_MASK:	equ	1h
; LCD_1D4_Data access macros
;   GetLCD_1D4_Data macro, return in a
macro GetLCD_1D4_Data
	mov		a,[Port_2_Data_SHADE]
	and		a, 1h
endm
;   SetLCD_1D4_Data macro
macro SetLCD_1D4_Data
	or		[Port_2_Data_SHADE], 1h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm
;   SetLCD_1D4_Data macro
macro ClearLCD_1D4_Data
	and		[Port_2_Data_SHADE], ~1h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm

; LCD_1D4_DriveMode_0 access macros
;   GetLCD_1D4_DriveMode_0 macro, return in a
macro GetLCD_1D4_DriveMode_0
	mov		a,[Port_2_DriveMode_0_SHADE]
	and		a, 1h
endm
;   SetLCD_1D4_DriveMode_0 macro
macro SetLCD_1D4_DriveMode_0
	or		[Port_2_DriveMode_0_SHADE], 1h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm
;   SetLCD_1D4_DriveMode_0 macro
macro ClearLCD_1D4_DriveMode_0
	and		[Port_2_DriveMode_0_SHADE], ~1h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm

; LCD_1D4_DriveMode_1 access macros
;   GetLCD_1D4_DriveMode_1 macro, return in a
macro GetLCD_1D4_DriveMode_1
	mov		a,[Port_2_DriveMode_1_SHADE]
	and		a, 1h
endm
;   SetLCD_1D4_DriveMode_1 macro
macro SetLCD_1D4_DriveMode_1
	or		[Port_2_DriveMode_1_SHADE], 1h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm
;   SetLCD_1D4_DriveMode_1 macro
macro ClearLCD_1D4_DriveMode_1
	and		[Port_2_DriveMode_1_SHADE], ~1h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm

; LCD_1D5 address and mask equates
LCD_1D5_Data_ADDR:	equ	8h
LCD_1D5_DriveMode_0_ADDR:	equ	108h
LCD_1D5_DriveMode_1_ADDR:	equ	109h
LCD_1D5_DriveMode_2_ADDR:	equ	bh
LCD_1D5_GlobalSelect_ADDR:	equ	ah
LCD_1D5_IntCtrl_0_ADDR:	equ	10ah
LCD_1D5_IntCtrl_1_ADDR:	equ	10bh
LCD_1D5_IntEn_ADDR:	equ	9h
LCD_1D5_MASK:	equ	2h
; LCD_1D5_Data access macros
;   GetLCD_1D5_Data macro, return in a
macro GetLCD_1D5_Data
	mov		a,[Port_2_Data_SHADE]
	and		a, 2h
endm
;   SetLCD_1D5_Data macro
macro SetLCD_1D5_Data
	or		[Port_2_Data_SHADE], 2h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm
;   SetLCD_1D5_Data macro
macro ClearLCD_1D5_Data
	and		[Port_2_Data_SHADE], ~2h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm

; LCD_1D5_DriveMode_0 access macros
;   GetLCD_1D5_DriveMode_0 macro, return in a
macro GetLCD_1D5_DriveMode_0
	mov		a,[Port_2_DriveMode_0_SHADE]
	and		a, 2h
endm
;   SetLCD_1D5_DriveMode_0 macro
macro SetLCD_1D5_DriveMode_0
	or		[Port_2_DriveMode_0_SHADE], 2h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm
;   SetLCD_1D5_DriveMode_0 macro
macro ClearLCD_1D5_DriveMode_0
	and		[Port_2_DriveMode_0_SHADE], ~2h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm

; LCD_1D5_DriveMode_1 access macros
;   GetLCD_1D5_DriveMode_1 macro, return in a
macro GetLCD_1D5_DriveMode_1
	mov		a,[Port_2_DriveMode_1_SHADE]
	and		a, 2h
endm
;   SetLCD_1D5_DriveMode_1 macro
macro SetLCD_1D5_DriveMode_1
	or		[Port_2_DriveMode_1_SHADE], 2h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm
;   SetLCD_1D5_DriveMode_1 macro
macro ClearLCD_1D5_DriveMode_1
	and		[Port_2_DriveMode_1_SHADE], ~2h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm

; LCD_1D6 address and mask equates
LCD_1D6_Data_ADDR:	equ	8h
LCD_1D6_DriveMode_0_ADDR:	equ	108h
LCD_1D6_DriveMode_1_ADDR:	equ	109h
LCD_1D6_DriveMode_2_ADDR:	equ	bh
LCD_1D6_GlobalSelect_ADDR:	equ	ah
LCD_1D6_IntCtrl_0_ADDR:	equ	10ah
LCD_1D6_IntCtrl_1_ADDR:	equ	10bh
LCD_1D6_IntEn_ADDR:	equ	9h
LCD_1D6_MASK:	equ	4h
; LCD_1D6_Data access macros
;   GetLCD_1D6_Data macro, return in a
macro GetLCD_1D6_Data
	mov		a,[Port_2_Data_SHADE]
	and		a, 4h
endm
;   SetLCD_1D6_Data macro
macro SetLCD_1D6_Data
	or		[Port_2_Data_SHADE], 4h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm
;   SetLCD_1D6_Data macro
macro ClearLCD_1D6_Data
	and		[Port_2_Data_SHADE], ~4h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm

; LCD_1D6_DriveMode_0 access macros
;   GetLCD_1D6_DriveMode_0 macro, return in a
macro GetLCD_1D6_DriveMode_0
	mov		a,[Port_2_DriveMode_0_SHADE]
	and		a, 4h
endm
;   SetLCD_1D6_DriveMode_0 macro
macro SetLCD_1D6_DriveMode_0
	or		[Port_2_DriveMode_0_SHADE], 4h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm
;   SetLCD_1D6_DriveMode_0 macro
macro ClearLCD_1D6_DriveMode_0
	and		[Port_2_DriveMode_0_SHADE], ~4h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm

; LCD_1D6_DriveMode_1 access macros
;   GetLCD_1D6_DriveMode_1 macro, return in a
macro GetLCD_1D6_DriveMode_1
	mov		a,[Port_2_DriveMode_1_SHADE]
	and		a, 4h
endm
;   SetLCD_1D6_DriveMode_1 macro
macro SetLCD_1D6_DriveMode_1
	or		[Port_2_DriveMode_1_SHADE], 4h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm
;   SetLCD_1D6_DriveMode_1 macro
macro ClearLCD_1D6_DriveMode_1
	and		[Port_2_DriveMode_1_SHADE], ~4h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm

; LCD_1D7 address and mask equates
LCD_1D7_Data_ADDR:	equ	8h
LCD_1D7_DriveMode_0_ADDR:	equ	108h
LCD_1D7_DriveMode_1_ADDR:	equ	109h
LCD_1D7_DriveMode_2_ADDR:	equ	bh
LCD_1D7_GlobalSelect_ADDR:	equ	ah
LCD_1D7_IntCtrl_0_ADDR:	equ	10ah
LCD_1D7_IntCtrl_1_ADDR:	equ	10bh
LCD_1D7_IntEn_ADDR:	equ	9h
LCD_1D7_MASK:	equ	8h
; LCD_1D7_Data access macros
;   GetLCD_1D7_Data macro, return in a
macro GetLCD_1D7_Data
	mov		a,[Port_2_Data_SHADE]
	and		a, 8h
endm
;   SetLCD_1D7_Data macro
macro SetLCD_1D7_Data
	or		[Port_2_Data_SHADE], 8h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm
;   SetLCD_1D7_Data macro
macro ClearLCD_1D7_Data
	and		[Port_2_Data_SHADE], ~8h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm

; LCD_1D7_DriveMode_0 access macros
;   GetLCD_1D7_DriveMode_0 macro, return in a
macro GetLCD_1D7_DriveMode_0
	mov		a,[Port_2_DriveMode_0_SHADE]
	and		a, 8h
endm
;   SetLCD_1D7_DriveMode_0 macro
macro SetLCD_1D7_DriveMode_0
	or		[Port_2_DriveMode_0_SHADE], 8h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm
;   SetLCD_1D7_DriveMode_0 macro
macro ClearLCD_1D7_DriveMode_0
	and		[Port_2_DriveMode_0_SHADE], ~8h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm

; LCD_1D7_DriveMode_1 access macros
;   GetLCD_1D7_DriveMode_1 macro, return in a
macro GetLCD_1D7_DriveMode_1
	mov		a,[Port_2_DriveMode_1_SHADE]
	and		a, 8h
endm
;   SetLCD_1D7_DriveMode_1 macro
macro SetLCD_1D7_DriveMode_1
	or		[Port_2_DriveMode_1_SHADE], 8h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm
;   SetLCD_1D7_DriveMode_1 macro
macro ClearLCD_1D7_DriveMode_1
	and		[Port_2_DriveMode_1_SHADE], ~8h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm

; LCD_1E address and mask equates
LCD_1E_Data_ADDR:	equ	8h
LCD_1E_DriveMode_0_ADDR:	equ	108h
LCD_1E_DriveMode_1_ADDR:	equ	109h
LCD_1E_DriveMode_2_ADDR:	equ	bh
LCD_1E_GlobalSelect_ADDR:	equ	ah
LCD_1E_IntCtrl_0_ADDR:	equ	10ah
LCD_1E_IntCtrl_1_ADDR:	equ	10bh
LCD_1E_IntEn_ADDR:	equ	9h
LCD_1E_MASK:	equ	10h
; LCD_1E_Data access macros
;   GetLCD_1E_Data macro, return in a
macro GetLCD_1E_Data
	mov		a,[Port_2_Data_SHADE]
	and		a, 10h
endm
;   SetLCD_1E_Data macro
macro SetLCD_1E_Data
	or		[Port_2_Data_SHADE], 10h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm
;   SetLCD_1E_Data macro
macro ClearLCD_1E_Data
	and		[Port_2_Data_SHADE], ~10h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm

; LCD_1E_DriveMode_0 access macros
;   GetLCD_1E_DriveMode_0 macro, return in a
macro GetLCD_1E_DriveMode_0
	mov		a,[Port_2_DriveMode_0_SHADE]
	and		a, 10h
endm
;   SetLCD_1E_DriveMode_0 macro
macro SetLCD_1E_DriveMode_0
	or		[Port_2_DriveMode_0_SHADE], 10h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm
;   SetLCD_1E_DriveMode_0 macro
macro ClearLCD_1E_DriveMode_0
	and		[Port_2_DriveMode_0_SHADE], ~10h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm

; LCD_1E_DriveMode_1 access macros
;   GetLCD_1E_DriveMode_1 macro, return in a
macro GetLCD_1E_DriveMode_1
	mov		a,[Port_2_DriveMode_1_SHADE]
	and		a, 10h
endm
;   SetLCD_1E_DriveMode_1 macro
macro SetLCD_1E_DriveMode_1
	or		[Port_2_DriveMode_1_SHADE], 10h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm
;   SetLCD_1E_DriveMode_1 macro
macro ClearLCD_1E_DriveMode_1
	and		[Port_2_DriveMode_1_SHADE], ~10h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm

; LCD_1RS address and mask equates
LCD_1RS_Data_ADDR:	equ	8h
LCD_1RS_DriveMode_0_ADDR:	equ	108h
LCD_1RS_DriveMode_1_ADDR:	equ	109h
LCD_1RS_DriveMode_2_ADDR:	equ	bh
LCD_1RS_GlobalSelect_ADDR:	equ	ah
LCD_1RS_IntCtrl_0_ADDR:	equ	10ah
LCD_1RS_IntCtrl_1_ADDR:	equ	10bh
LCD_1RS_IntEn_ADDR:	equ	9h
LCD_1RS_MASK:	equ	20h
; LCD_1RS_Data access macros
;   GetLCD_1RS_Data macro, return in a
macro GetLCD_1RS_Data
	mov		a,[Port_2_Data_SHADE]
	and		a, 20h
endm
;   SetLCD_1RS_Data macro
macro SetLCD_1RS_Data
	or		[Port_2_Data_SHADE], 20h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm
;   SetLCD_1RS_Data macro
macro ClearLCD_1RS_Data
	and		[Port_2_Data_SHADE], ~20h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm

; LCD_1RS_DriveMode_0 access macros
;   GetLCD_1RS_DriveMode_0 macro, return in a
macro GetLCD_1RS_DriveMode_0
	mov		a,[Port_2_DriveMode_0_SHADE]
	and		a, 20h
endm
;   SetLCD_1RS_DriveMode_0 macro
macro SetLCD_1RS_DriveMode_0
	or		[Port_2_DriveMode_0_SHADE], 20h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm
;   SetLCD_1RS_DriveMode_0 macro
macro ClearLCD_1RS_DriveMode_0
	and		[Port_2_DriveMode_0_SHADE], ~20h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm

; LCD_1RS_DriveMode_1 access macros
;   GetLCD_1RS_DriveMode_1 macro, return in a
macro GetLCD_1RS_DriveMode_1
	mov		a,[Port_2_DriveMode_1_SHADE]
	and		a, 20h
endm
;   SetLCD_1RS_DriveMode_1 macro
macro SetLCD_1RS_DriveMode_1
	or		[Port_2_DriveMode_1_SHADE], 20h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm
;   SetLCD_1RS_DriveMode_1 macro
macro ClearLCD_1RS_DriveMode_1
	and		[Port_2_DriveMode_1_SHADE], ~20h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm

; LCD_1RW address and mask equates
LCD_1RW_Data_ADDR:	equ	8h
LCD_1RW_DriveMode_0_ADDR:	equ	108h
LCD_1RW_DriveMode_1_ADDR:	equ	109h
LCD_1RW_DriveMode_2_ADDR:	equ	bh
LCD_1RW_GlobalSelect_ADDR:	equ	ah
LCD_1RW_IntCtrl_0_ADDR:	equ	10ah
LCD_1RW_IntCtrl_1_ADDR:	equ	10bh
LCD_1RW_IntEn_ADDR:	equ	9h
LCD_1RW_MASK:	equ	40h
; LCD_1RW_Data access macros
;   GetLCD_1RW_Data macro, return in a
macro GetLCD_1RW_Data
	mov		a,[Port_2_Data_SHADE]
	and		a, 40h
endm
;   SetLCD_1RW_Data macro
macro SetLCD_1RW_Data
	or		[Port_2_Data_SHADE], 40h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm
;   SetLCD_1RW_Data macro
macro ClearLCD_1RW_Data
	and		[Port_2_Data_SHADE], ~40h
	mov		reg[Port_2_Data], [Port_2_Data_SHADE]
endm

; LCD_1RW_DriveMode_0 access macros
;   GetLCD_1RW_DriveMode_0 macro, return in a
macro GetLCD_1RW_DriveMode_0
	mov		a,[Port_2_DriveMode_0_SHADE]
	and		a, 40h
endm
;   SetLCD_1RW_DriveMode_0 macro
macro SetLCD_1RW_DriveMode_0
	or		[Port_2_DriveMode_0_SHADE], 40h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm
;   SetLCD_1RW_DriveMode_0 macro
macro ClearLCD_1RW_DriveMode_0
	and		[Port_2_DriveMode_0_SHADE], ~40h
	mov		reg[Port_2_DriveMode_0], [Port_2_DriveMode_0_SHADE]
endm

; LCD_1RW_DriveMode_1 access macros
;   GetLCD_1RW_DriveMode_1 macro, return in a
macro GetLCD_1RW_DriveMode_1
	mov		a,[Port_2_DriveMode_1_SHADE]
	and		a, 40h
endm
;   SetLCD_1RW_DriveMode_1 macro
macro SetLCD_1RW_DriveMode_1
	or		[Port_2_DriveMode_1_SHADE], 40h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm
;   SetLCD_1RW_DriveMode_1 macro
macro ClearLCD_1RW_DriveMode_1
	and		[Port_2_DriveMode_1_SHADE], ~40h
	mov		reg[Port_2_DriveMode_1], [Port_2_DriveMode_1_SHADE]
endm

